#include <string>
#include <iostream>
#include "RobotGame.h"

int main(int argc, char *argv[])
{
	if (argc != 3)
	{
		cerr << "Usage: " << argv[0] << " <host> <port>"
		     << endl << endl;
		exit(1);
	}

	RobotGame rg;

	if (rg.init(argv[1], atoi(argv[2])))
	{
		cerr << "Error: Could not connect to game server" << endl;
		exit(1);
	}
	int ret = rg.play();
#ifdef DEBUG
	cout << "Final Score = " << rg.getScore() << ", Final Money = " << rg.getMoney() << endl << endl;
#endif
	return ret;
}

